#!/bin/sh
# provide serial root autologin if required

GETTY=/sbin/agetty

if ! [ -x $GETTY ]; then
	echo -n "$GETTY missing" >&2
	exit 0
fi

# query in *runtime*
CMDLINE="$(grep -ow 'console=ttyS[^ ]*' /proc/cmdline | head -1)"
[ -n "$CMDLINE" ] || exit 0
UNIT="${CMDLINE#console=ttyS}"
UNIT="${UNIT%%,*}"	# 0
MODE="${CMDLINE#*,}"	# 115200n8
SPEED="${MODE%%n*}"	# 115200

echo -n "shell on ttyS$UNIT/$SPEED"

# inittab won't help as runlevel is officially unknown, not yet 7
$GETTY -n -l /bin/bash -L ttyS$UNIT $SPEED vt100 &
